# aqualinkd.conf
#

# The directory where the web files are stored

#web_directory=/var/www/aqualinkd/
web_directory=/nas/data/Development/Raspberry/AqualinkD/web

# Log to file, comment out if you do not want to log to file
#log_file=/var/log/aqualinkd.log
#log_file=/nas/data/Development/Raspberry/AqualinkD/scratch/pda.log

# The log level. [DEBUG, INFO, NOTICE, WARNING, ERROR]
# Pick the highest level, and all levels below will be sent to syslog.
# your syslog settings may be set to only display messages above a certian level
# in which case make sure you use the log_file settings to capture everything
# you want when debugging
# so, NOTICE also prints WARNING & ERROR
#     DEBUG would print everything possible

#log_level=DEBUG_SERIAL
log_level=DEBUG
#log_level=INFO
#log_level=NOTICE

# The socket port that the daemon listens to
# If you change this from 80, remember to update aqualink.service.avahi
socket_port=80

# The serial port the daemon access to read the Aqualink RS8
serial_port=/dev/ttyUSB0

override_freeze_protect = no

# mqtt stuff
mqtt_address = trident:1883
#mqtt_user = someusername    
#mqtt_passwd = somepassword

#mqtt_dz_pub_topic = domoticz/in
#mqtt_dz_sub_topic = domoticz/out
mqtt_aq_topic = aqualinkd_test

# The id of the Aqualink terminal device. Devices probed by RS8 master are:
# 08-0b, 10-13, 18-1b, 20-23, 28-2b, 30-33, 38-3b, 40-43
#
# Working RS 0x0a 0x0b 0x09 0x08

#device_id=0x09
device_id=0x60
pda_mode = yes

convert_mqtt_temp_to_c = yes 
convert_dz_temp_to_c = yes

# Bug, leave at no for the moment
flash_mqtt_buttons = yes

# by default use pool temp as spa temp when spa is off, enable below to report 0 as spa temp when off.
report_zero_spa_temp = yes

# Button inxed light probramming button is assigned to. (look at your button labels below)
light_programming_button = 6

# Light probramming mode. 0=safe mode, but slow. 
# any number greater is seconds to wait between button presses.  
# 0.4 seems to be the minimum. (workd for light modes below 10 presses)
# 0.6 seems to work about 95% of the time, but above 20 presses can be hit or miss.
# 0 will simply wait for the controler to send the response back before sending the next, so is equivelent to about 1.2
light_programming_mode=0

# Light programming assumes light needs to be on before sending pulse (above setting)
# If the light is off when request is made to change "light show", then the below value are used
light_programming_initial_on=15

# Turn the light off for below time before start programmig puleses.
light_programming_initial_off=12

# Domoticz ID's for temps.
air_temp_dzidx=13
pool_water_temp_dzidx=14
spa_water_temp_dzidx=15
#SWG_percent_dzidx=998
#SWG_PPM_dzidx=999
SWG_percent_dzidx=153
SWG_PPM_dzidx=152
SWG_Status_dzidx=157

# Labels for standard butons (shown in web UI), and domoticz idx's
button_01_label=Filter Pump
#button_01_dzidx=37
button_01_PDA_label=FILTER PUMP

button_02_label=Spa Mode
#button_02_dzidx=38
button_02_PDA_label=SPA

button_03_label=Cleaner
#button_03_dzidx=39
button_03_PDA_label=CLEANER

button_04_label=Waterfall
#button_04_dzidx=40 
button_04_PDA_label=AUX2

button_05_label=Spa Blower
#button_05_dzidx=41 
button_05_PDA_label=AUX3

button_06_label=Pool Light
#button_06_dzidx=42 
button_06_PDA_label=AUX4

button_07_label=NONE
#button_07_dzidx=43 
button_07_PDA_label=AUX5

button_08_label=NONE
#button_08_dzidx=NONE 
button_08_PDA_label=AUX6

button_09_label=NONE
#button_09_dzidx=NONE 
button_09_PDA_label=AUX7

button_10_label=Pool Heater
#button_10_dzidx=44
button_09_PDA_label=POOL HEAT

button_11_label=Spa Heater
#button_11_dzidx=56
button_09_PDA_label=SPA HEAT

button_12_label=Solar Heater
#button_12_dzidx=NONE 
button_09_PDA_label=EXTRA AUX
